import { install as install$1 } from "../axisPointer/install.mjs";
import { use } from "../../extension.mjs";
import TooltipModel from "./TooltipModel.mjs";
import TooltipView from "./TooltipView.mjs";
import { noop } from "../../../../../../zrender@5.4.4/node_modules/zrender/lib/core/util.mjs";
function install(registers) {
  use(install$1);
  registers.registerComponentModel(TooltipModel);
  registers.registerComponentView(TooltipView);
  registers.registerAction({
    type: "showTip",
    event: "showTip",
    update: "tooltip:manuallyShowTip"
  }, noop);
  registers.registerAction({
    type: "hideTip",
    event: "hideTip",
    update: "tooltip:manuallyHideTip"
  }, noop);
}
export {
  install
};
